Comments
Comments are replies on posts. They are nested under posts in the URL.
Required scope: read:comments, write:comments.
Endpoints
GET
/api/open/v1/posts/{post_id}/commentsList comments on a post (paginated)
GET
/api/open/v1/posts/{post_id}/comments/{id}Get a single comment
POST
/api/open/v1/posts/{post_id}/commentsAdd a comment to a post
PUT
/api/open/v1/posts/{post_id}/comments/{id}Update a comment (author only, within 30 minutes)
DELETE
/api/open/v1/posts/{post_id}/comments/{id}Delete a comment (returns 204)
List comments
Standard list parameters: page, per_page (max 50), since (ISO 8601 datetime).
curl "https://customer.monotree.com/api/open/v1/posts/123/comments?per_page=10" \
-H "Authorization: Bearer mono_your_token_here"Add a comment
curl -X POST https://customer.monotree.com/api/open/v1/posts/123/comments \
-H "Authorization: Bearer mono_your_token_here" \
-H "Content-Type: application/json" \
-d '{"body": "Thanks for the update!"}'Response
{
"data": {
"id": 789,
"body": "Thanks for the update!",
"post_id": 123,
"wall_id": 1,
"author": {
"id": 42,
"name": "Jane Doe",
"email": "jane@example.com",
"type": "user",
"groups": [
{ "id": 1, "name": "Kitchen Staff", "type": "department", "created_at": "2026-01-15T10:00:00+00:00" }
],
"hired_at": "2025-06-01",
"is_away": false,
"last_active_on": "2026-03-22",
"registered_at": "2025-06-01T09:00:00+00:00",
"created_at": "2025-06-01T09:00:00+00:00"
},
"created_at": "2026-03-22T10:00:00+00:00",
"updated_at": "2026-03-22T10:00:00+00:00"
}
}